From Fedora Project Wiki

(how to install needed dependencies to use omemo)
 
m
Line 13: Line 13:
  
 
: <code>sudo dnf copr enable -y philfry/gajim</code>
 
: <code>sudo dnf copr enable -y philfry/gajim</code>
:: <code>sudo dnf install -y python-axolotl</code>
+
:: <code>sudo dnf install -y python-axolotl python-axolotl-curve25519</code>
 
: or
 
: or
:: <code>sudo dnf install -y python3-axolotl</code>
+
:: <code>sudo dnf install -y python3-axolotl python3-axolotl-curve25519</code>

Revision as of 06:46, 2 December 2018

Plugins

OMEMO

OMEMO dependencies

install OMEMO dependencies via pip

sudo dnf install -y python3-devel
sudo pip3 install python-axolotl

install OMEMO dependencies via corp philfry/gajim

sudo dnf copr enable -y philfry/gajim
sudo dnf install -y python-axolotl python-axolotl-curve25519
or
sudo dnf install -y python3-axolotl python3-axolotl-curve25519